Bug 966913 - The OPENSHIFT_JBOSSAS_WEBSOCKET_PORT environment variable is missed by migration
The OPENSHIFT_JBOSSAS_WEBSOCKET_PORT environment variable is missed by migration
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Dan Mace
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 05:09 EDT by Jianwei Hou
Modified: 2015-05-14 19:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:10:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jianwei Hou 2013-05-24 05:09:57 EDT
Description of problem:
The OPENSHIFT_JBOSSAS_WEBSOCKET_PORT environment variable is missed by our migration scripts. This var should be created and sourced when jbossas app is migrated from v1 to v2

Version-Release number of selected component (if applicable):
On INT(devenv_3266) and devenv_3267

How reproducible:
Always

Steps to Reproduce:
1. Create jbossas application in v1 format before migration
2. Upgrade and migrated according to release ticket
3. After migration, ssh into the jbossas app gear, run 'env'

Actual results:
After step 3: The OPENSHIFT_JBOSSAS_WEBSOCKET_PORT could not be found


Expected results:
The OPENSHIFT_JBOSSAS_WEBSOCKET_PORT environment variable should be present

Additional info:
Comment 1 Dan Mace 2013-05-24 16:01:43 EDT
Resolved by https://github.com/openshift/li/pull/1464
Comment 2 openshift-github-bot 2013-05-24 18:52:10 EDT
Commit pushed to master at https://github.com/openshift/li

https://github.com/openshift/li/commit/f4c496337bd5187d1a83e9095528aa07b695a2a0
Bug 966913: Add OPENSHIFT_JBOSSAS_WEBSOCKET_PORT to migration
Comment 3 Jianwei Hou 2013-05-27 01:48:46 EDT
Verified on devenv_3277
After migration, the OPENSHIFT_JBOSSAS_WEBSOCKET_PORT is sourced

[a1-jhou.dev.rhcloud.com .env]\> cat OPENSHIFT_JBOSSAS_WEBSOCKET_PORT 
8676
[a1-jhou.dev.rhcloud.com .env]\> env|grep WEBSOCKET
OPENSHIFT_JBOSSAS_WEBSOCKET_PORT=8676

Note You need to log in before you can comment on or make changes to this bug.